Skip to content

updateSequence

WRITE

Update sequence.

POST /api/v1/settings/updateSequence
curl -X POST '<your-host>/api/v1/settings/updateSequence' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "table": "string",
    "sequence": {}
  }'

Parameters

ParameterType
min 0
min 1max 20
min 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "table": {
      "type": "string"
    },
    "sequence": {
      "type": "object",
      "properties": {
        "table": {
          "type": "string",
          "minLength": 1
        },
        "prefix": {
          "type": "string"
        },
        "suffix": {
          "type": "string"
        },
        "next": {
          "type": "number",
          "minimum": 0
        },
        "step": {
          "type": "number",
          "minimum": 1
        },
        "size": {
          "type": "number",
          "minimum": 1,
          "maximum": 20
        }
      }
    }
  },
  "required": [
    "table",
    "sequence"
  ]
}